/* Blink3.ino
 * 
 * This program blinks the onboard LED of the 
 * Raspberry Pi Pico using the Mbed OS API functions.
 * It demonstrates the use of namespaces and the 
 * chrono library in order to allowing time units.
 *
 * The program was tested with Arduino IDE v1.19 
 * and Arduino Mbed OS RP2040 boards v4.1.1 extension.
 */
#include <mbed.h>
using namespace mbed;
using namespace rtos;
using namespace std::chrono_literals;

DigitalOut led(LED1);

void setup() { }

void loop() {
  led = !led;                   // Negate LED state     
  ThisThread::sleep_for(250ms); // Waiting
}
