/* USBSerial.ino
 * 
 * This program demonstrates the use of Mbed OS to create 
 * a virtual serial port over USB on a Raspberry Pi Pico.
 * It does not use the default serial port provided by Arduino 
 * but creates a new virtual serial port.
 * 
 * Note: After uploading this program, the Arduino IDE will not 
 * be able to automatically upload the next program.
 * You will need to manually switch the board to UF2 bootloader 
 * mode for subsequent uploads.
 * 
 * The program continuously sends a message "I am a virtual serial port" 
 * to the virtual serial port every second.
 * 
 * Tested with Arduino IDE v1.8.19 and Arduino Mbed OS RP2040 boards v4.1.1 extension.
 */
#include "mbed.h"
#include "USBSerial.h"
using namespace mbed;
using namespace rtos;
using namespace std::chrono_literals;

//Virtual serial port over USB
USBSerial serial;

int main(void)
{
    while (1) {
        serial.printf("I am a virtual serial port\r\n");
        ThisThread::sleep_for(1000);
    }
}
